package server;
import java.net.*;
import java.rmi.*;
public class ServerRMI {
	private ObjektRMI sdilObjekt;
	private void initSdilenyObjekt(){
		try {
			sdilObjekt = new ObjektRMI();
		} catch (RemoteException e) {
			System.out.println("Nepodarilo se vytvorit sdileny objekt");
			e.printStackTrace();
		}
	}
	private void sdilejObjektRMI(){
		try {
			Naming.bind("SdilenyObjekt04",sdilObjekt);
		} catch (MalformedURLException | RemoteException | AlreadyBoundException e) {
			System.out.println("Nepodarilo se nahrat(zaregistrovat RMI objekt v rmiregistrech)");
			e.printStackTrace();
		}
	}
	public static void main(String[] args) {
		ServerRMI serverRMI = new ServerRMI();
		serverRMI.initSdilenyObjekt();
		serverRMI.sdilejObjektRMI();
		System.out.println("RMI Server ceka ...");
	}
}
