package klient;
import java.net.*;
import java.rmi.*;
import java.util.Scanner;
import rozhrani.RozhraniRMI04;
public class KlientRMI {
	private RozhraniRMI04 stubRMI;
	private void ziskameSdilenyObjekt(String s,int port){
		//	format "rmi://21.15.45.33:1099/SdilenyObjekt04"
		String lanString = "rmi://"+s+":"+port+"/SdilenyObjekt04";
		try {
			stubRMI = (RozhraniRMI04) Naming.lookup(lanString);
		} catch (MalformedURLException | RemoteException | NotBoundException e) {
			System.out.println("Nepodarilo se ziskat sdileny RMI objekt");
			e.printStackTrace();
		}
	}
	private void zavolameSdileneMetody(Scanner key) {
		try {
			stubRMI.zavolejVOID();
			System.out.print("Vlozte String : "); 
			String s = key.nextLine();
			System.out.println("Zde je upraveny string ze serveru : "+ stubRMI.ziskejString(s));
			boolean b = false;
			System.out.println("Zde je inverzi Boolean : "+stubRMI.ziskejBoolean(b));
			byte bajt = (byte) 58;
			System.out.println("Zde je upraveny byte : "+stubRMI.ziskejUpravByte(bajt));
			stubRMI.zavolejVOID();
		} catch (RemoteException e) {
			System.out.println("Nepodarilio se zavolat sdilene metody");
			e.printStackTrace();
		}
	}
	public static void main(String[] args) {
		System.out.println("Start RMI Klienta");
		KlientRMI klient = new KlientRMI();
		Scanner key = new Scanner(System.in);
		System.out.print("Zadejte IPv4 ve formatu napr. 45.112.35.55 a stisknete Enter :");
		String s = key.nextLine();
		klient.ziskameSdilenyObjekt(s,1099);
		klient.zavolameSdileneMetody(key);
		System.out.println("Konec RMI Klienta");
	}
}